import { EventEmitter } from '../../stencil-public-runtime';
export declare class SpwWizard {
    el: HTMLSpwWizardElement;
    /** Étape actuellement active (index basé sur 1) */
    currentStep: number;
    /** Orientation du wizard */
    variant?: 'horizontal' | 'vertical';
    /** Si `true`, les étapes suivantes sont également cliquables */
    canClickNextSteps?: boolean;
    /** Événement émis lors du clic sur une étape antérieure */
    stepClick: EventEmitter<number>;
    componentWillLoad(): void;
    slotChanged(): void;
    /** Méthode publique pour définir une step au wizard */
    setStep(step: number): Promise<void>;
    handleStepClick(event: CustomEvent<number>): void;
    private scrollToWizard;
    private updateStepsState;
    private get elementClass();
    render(): any;
}
